For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddSecret
        • POSTDelSecret
        • POSTGetSecretValue
        • POSTGetSecrets
        • POSTSetSecretInfo
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceSecrets

GetSecrets

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetSecrets
POST
/platform_api/GetSecrets
$curl -X POST "https://api.voximplant.com/platform_api/GetSecrets?application_id=1" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Success
1{
2 "result": [
3 {
4 "secret_id": 101,
5 "secret_name": "apiKeyProd",
6 "description": "Production API key for external integrations",
7 "created": "2024-05-10 14:22:35",
8 "modified": "2024-06-01 08:15:42"
9 },
10 {
11 "secret_id": 102,
12 "secret_name": "dbPassword",
13 "description": "Database password for application DB access",
14 "created": "2024-04-20 11:05:12",
15 "modified": "2024-05-15 16:30:00"
16 }
17 ],
18 "count": 2,
19 "total_count": 2
20}

Gets the list of an application’s secrets.

Example request: Get secrets of application 1.

Was this page helpful?
Previous

GetSecretValue

Next

SetSecretInfo

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

application_idintegerOptional

Application ID. Required unless application_name is provided.

application_namestringOptional

Application name. Required unless application_id is provided.

secret_name_partstringOptional
Filter by the secret name part
countintegerOptionalDefaults to 20
Maximum returning record number
offsetintegerOptionalDefaults to 0

First N records to be skipped in the output

Response

Successful response
resultlist of objects
Secrets list
countinteger
Returned secrets number
total_countinteger
Total found secrets number